Change logs for python-jsonext source package in Groovy

  • python-jsonext (0.4.2-1.1) unstable; urgency=medium
    
      * Non-maintainer upload.
      * python-jsonext: Fix autopkgtest regression.
        Use pyversions -s to test all suported versions (Closes: #954477).
    
     -- Emmanuel Arias <email address hidden>  Sat, 28 Mar 2020 17:35:28 -0400
  • python-jsonext (0.4.2-1) unstable; urgency=medium
    
      [ Ben Finney ]
      * New upstream version.
        Now includes user documentation.
      * Declare conformance to “Standards-Version: 4.4.1”.
      * Specify HTTPS URL for upstream source repository.
      * Improve consistency of copyright grant in Debian packaging.
      * Use a null command for ‘clean’ during ‘Git-BuildPackage’.
      * Declare Debhelper compatibility level 12.
      * debian/compat:
        * Remove obsolescent configuration file.
      * Remove ‘get-orig-source’ and ‘get-packaged-orig-source’ targets.
        These are no longer mentioned in Debian Policy 4.1.4 and later.
      * Update copyright years for Debian packaging.
      * Specify current VCS for Debian packaging work.
      * Remove ‘debian/patches/migrate-from-times-to-arrow.patch’, now applied
        upstream.
      * Remove obsolete control field for Python 2 version.
      * Remove declaration for minimum Python 3 version.
        Python >= 3.4 is now in all supported Debian releases.
      * Record upstream metadata in DEP-12 document.
    
      [ Sandro Tosi ]
      * Remove autopkgtest smoke test for Python 2.
      * Don't build Python 2 binary packages.
      * Remove support for Python 2.
        Closes: bug#937855.
    
     -- Ben Finney <email address hidden>  Sat, 26 Oct 2019 12:25:12 +1100